<html>
<head>
<title>Ogre::ConstVectorRange&lt; T &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ConstVectorRange&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ConstVectorRange" --><!-- doxytag: inherits="Ogre::iterator_range" -->
<p>Predefined type.  
 <a href="structOgre_1_1ConstVectorRange.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ConstVectorRange&lt; T &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="structOgre_1_1ConstVectorRange__inherit__graph.gif" border="0" usemap="#Ogre_1_1ConstVectorRange_3_01T_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ConstVectorRange_3_01T_01_4_inherit__map" id="Ogre_1_1ConstVectorRange_3_01T_01_4_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1iterator__range.html" title="Base for an iterator_range." alt="" coords="5,5,251,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="structOgre_1_1ConstVectorRange-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a506c90799fd48937b85cbd37497fcf1b">iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a506c90799fd48937b85cbd37497fcf1b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a63c42093c4a283c7f1954970f83cc342">const_iterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">typedef to fulfill container interface  <a href="#a63c42093c4a283c7f1954970f83cc342"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a3f5e91d206f12b980bc27eb0c0c8c4e5">type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">defines the real used type  <a href="#a3f5e91d206f12b980bc27eb0c0c8c4e5"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ConstVectorRange.html#af00c5834173f39be1b54c6861b5b3c5b">ConstVectorRange</a> (const T &amp;c)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af00c5834173f39be1b54c6861b5b3c5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ConstVectorRange.html#abbac80afff529edc25267647a0737cca">ConstVectorRange</a> (typename T::iterator b, typename T::iterator e)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#abbac80afff529edc25267647a0737cca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ConstVectorRange.html#ab43c3edd2f1fe8ce13634ce6fa7af386">ConstVectorRange</a> (typename T::const_iterator b, typename T::const_iterator e)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab43c3edd2f1fe8ce13634ce6fa7af386"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ConstVectorRange.html#a08698de0448172f19385cc3c33c9b00a">ConstVectorRange</a> (const <a class="el" href="structOgre_1_1VectorRange.html">VectorRange</a>&lt; T &gt; &amp;rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a08698de0448172f19385cc3c33c9b00a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ConstVectorRange.html#abda094f78b6cc649530d79ad777f58bd">operator==</a> (const <a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">comparison operator for equality  <a href="#abda094f78b6cc649530d79ad777f58bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ConstVectorRange.html#a6e52fe8c0c687e085fcb813957e40a13">operator!=</a> (const <a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">comparison operator for inequality  <a href="#a6e52fe8c0c687e085fcb813957e40a13"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a467f301e60a78b882eef63960e5a3710">begin</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">access to the begin of the range  <a href="#a467f301e60a78b882eef63960e5a3710"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#ae3e787878186259e1316dc9c4ae650c7">end</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">access to the end of the range  <a href="#ae3e787878186259e1316dc9c4ae650c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a84cf9ef91a48bee02212d3c11a3ebc86">empty</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">informs if there are any elements in the range  <a href="#a84cf9ef91a48bee02212d3c11a3ebc86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a31907d72258f80d10cb91692e933d460">equal</a> (const <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a> &amp;other) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">comparison for equality  <a href="#a31907d72258f80d10cb91692e933d460"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#a01990c202e6bd67252ac627ecf483a96">operator==</a> (const <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">comparison operator for equality  <a href="#a01990c202e6bd67252ac627ecf483a96"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1iterator__range.html#aecc617f3aaba85f9d29eb60b7dab98d8">operator!=</a> (const <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">comparison operator for inequality  <a href="#aecc617f3aaba85f9d29eb60b7dab98d8"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
struct Ogre::ConstVectorRange&lt; T &gt;</h3>

<p>Predefined type. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">T</td><td>iterator type</td></tr>
  </table>
  </dd>
</dl>
<p>compatility class for <a class="el" href="classOgre_1_1ConstVectorIterator.html" title="Concrete IteratorWrapper for const access to the underlying container.">ConstVectorIterator</a> </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00167">167</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a63c42093c4a283c7f1954970f83cc342"></a><!-- doxytag: member="Ogre::ConstVectorRange::const_iterator" ref="a63c42093c4a283c7f1954970f83cc342" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#a63c42093c4a283c7f1954970f83cc342">const_iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00099">99</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<a class="anchor" id="a506c90799fd48937b85cbd37497fcf1b"></a><!-- doxytag: member="Ogre::ConstVectorRange::iterator" ref="a506c90799fd48937b85cbd37497fcf1b" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef T <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#a506c90799fd48937b85cbd37497fcf1b">iterator</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>typedef to fulfill container interface </p>
<dl class="note"><dt><b>Note:</b></dt><dd>there is no distinction between const_iterator and iterator. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00091">91</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f5e91d206f12b980bc27eb0c0c8c4e5"></a><!-- doxytag: member="Ogre::ConstVectorRange::type" ref="a3f5e91d206f12b980bc27eb0c0c8c4e5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a>&lt;T&gt; <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#a3f5e91d206f12b980bc27eb0c0c8c4e5">type</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>defines the real used type </p>
<p>type will be defined as <a class="el" href="classOgre_1_1iterator__range.html" title="Base for an iterator_range.">Ogre::iterator_range</a> if not used with boost <br/>
 otherwise the type will be boost::iterator_range </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00106">106</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af00c5834173f39be1b54c6861b5b3c5b"></a><!-- doxytag: member="Ogre::ConstVectorRange::ConstVectorRange" ref="af00c5834173f39be1b54c6861b5b3c5b" args="(const T &amp;c)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ConstVectorRange.html">Ogre::ConstVectorRange</a>&lt; T &gt;::<a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a> </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Provide a container to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00174">174</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<a class="anchor" id="abbac80afff529edc25267647a0737cca"></a><!-- doxytag: member="Ogre::ConstVectorRange::ConstVectorRange" ref="abbac80afff529edc25267647a0737cca" args="(typename T::iterator b, typename T::iterator e)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ConstVectorRange.html">Ogre::ConstVectorRange</a>&lt; T &gt;::<a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a> </td>
          <td>(</td>
          <td class="paramtype">typename T::iterator&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">typename T::iterator&#160;</td>
          <td class="paramname"><em>e</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Provide a start and end iterator to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00182">182</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab43c3edd2f1fe8ce13634ce6fa7af386"></a><!-- doxytag: member="Ogre::ConstVectorRange::ConstVectorRange" ref="ab43c3edd2f1fe8ce13634ce6fa7af386" args="(typename T::const_iterator b, typename T::const_iterator e)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ConstVectorRange.html">Ogre::ConstVectorRange</a>&lt; T &gt;::<a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a> </td>
          <td>(</td>
          <td class="paramtype">typename T::const_iterator&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">typename T::const_iterator&#160;</td>
          <td class="paramname"><em>e</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Provide a start and end const_iterator to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00190">190</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<a class="anchor" id="a08698de0448172f19385cc3c33c9b00a"></a><!-- doxytag: member="Ogre::ConstVectorRange::ConstVectorRange" ref="a08698de0448172f19385cc3c33c9b00a" args="(const VectorRange&lt; T &gt; &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1ConstVectorRange.html">Ogre::ConstVectorRange</a>&lt; T &gt;::<a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1VectorRange.html">VectorRange</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Provide a <a class="el" href="structOgre_1_1VectorRange.html" title="Predefined type.">VectorRange</a> to initialise. </dd></dl>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00198">198</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a467f301e60a78b882eef63960e5a3710"></a><!-- doxytag: member="Ogre::ConstVectorRange::begin" ref="a467f301e60a78b882eef63960e5a3710" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#a467f301e60a78b882eef63960e5a3710">begin</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>access to the begin of the range </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00066">66</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00055">Ogre::iterator_range&lt; T &gt;::mBegin</a>.</p>

</div>
</div>
<a class="anchor" id="a84cf9ef91a48bee02212d3c11a3ebc86"></a><!-- doxytag: member="Ogre::ConstVectorRange::empty" ref="a84cf9ef91a48bee02212d3c11a3ebc86" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#a84cf9ef91a48bee02212d3c11a3ebc86">empty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>informs if there are any elements in the range </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00072">72</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00055">Ogre::iterator_range&lt; T &gt;::mBegin</a>, and <a class="el" href="OgreIteratorRange_8h_source.html#l00055">Ogre::iterator_range&lt; T &gt;::mEnd</a>.</p>

</div>
</div>
<a class="anchor" id="ae3e787878186259e1316dc9c4ae650c7"></a><!-- doxytag: member="Ogre::ConstVectorRange::end" ref="ae3e787878186259e1316dc9c4ae650c7" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#ae3e787878186259e1316dc9c4ae650c7">end</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>access to the end of the range </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00069">69</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00055">Ogre::iterator_range&lt; T &gt;::mEnd</a>.</p>

</div>
</div>
<a class="anchor" id="a31907d72258f80d10cb91692e933d460"></a><!-- doxytag: member="Ogre::ConstVectorRange::equal" ref="a31907d72258f80d10cb91692e933d460" args="(const iterator_range &amp;other) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::<a class="el" href="classOgre_1_1iterator__range.html#a31907d72258f80d10cb91692e933d460">equal</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>comparison for equality </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00075">75</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00055">Ogre::iterator_range&lt; T &gt;::mBegin</a>, and <a class="el" href="OgreIteratorRange_8h_source.html#l00055">Ogre::iterator_range&lt; T &gt;::mEnd</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorRange_8h_source.html#l00146">Ogre::VectorRange&lt; T &gt;::operator!=()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00205">Ogre::ConstVectorRange&lt; T &gt;::operator!=()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00249">Ogre::MapRange&lt; T &gt;::operator!=()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00308">Ogre::ConstMapRange&lt; T &gt;::operator!=()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00079">Ogre::iterator_range&lt; T &gt;::operator==()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00144">Ogre::VectorRange&lt; T &gt;::operator==()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00203">Ogre::ConstVectorRange&lt; T &gt;::operator==()</a>, <a class="el" href="OgreIteratorRange_8h_source.html#l00247">Ogre::MapRange&lt; T &gt;::operator==()</a>, and <a class="el" href="OgreIteratorRange_8h_source.html#l00306">Ogre::ConstMapRange&lt; T &gt;::operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="aecc617f3aaba85f9d29eb60b7dab98d8"></a><!-- doxytag: member="Ogre::ConstVectorRange::operator!=" ref="aecc617f3aaba85f9d29eb60b7dab98d8" args="(const iterator_range &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>comparison operator for inequality </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00083">83</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00079">Ogre::iterator_range&lt; T &gt;::operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a6e52fe8c0c687e085fcb813957e40a13"></a><!-- doxytag: member="Ogre::ConstVectorRange::operator!=" ref="a6e52fe8c0c687e085fcb813957e40a13" args="(const ConstVectorRange &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ConstVectorRange.html">Ogre::ConstVectorRange</a>&lt; T &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>comparison operator for inequality </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00205">205</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00075">Ogre::iterator_range&lt; T &gt;::equal()</a>.</p>

</div>
</div>
<a class="anchor" id="a01990c202e6bd67252ac627ecf483a96"></a><!-- doxytag: member="Ogre::ConstVectorRange::operator==" ref="a01990c202e6bd67252ac627ecf483a96" args="(const iterator_range &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1iterator__range.html">Ogre::iterator_range</a>&lt; T &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1iterator__range.html">iterator_range</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>comparison operator for equality </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00079">79</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00075">Ogre::iterator_range&lt; T &gt;::equal()</a>.</p>

<p>Referenced by <a class="el" href="OgreIteratorRange_8h_source.html#l00083">Ogre::iterator_range&lt; T &gt;::operator!=()</a>.</p>

</div>
</div>
<a class="anchor" id="abda094f78b6cc649530d79ad777f58bd"></a><!-- doxytag: member="Ogre::ConstVectorRange::operator==" ref="abda094f78b6cc649530d79ad777f58bd" args="(const ConstVectorRange &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ConstVectorRange.html">Ogre::ConstVectorRange</a>&lt; T &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1ConstVectorRange.html">ConstVectorRange</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>comparison operator for equality </p>

<p>Definition at line <a class="el" href="OgreIteratorRange_8h_source.html#l00203">203</a> of file <a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a>.</p>

<p>References <a class="el" href="OgreIteratorRange_8h_source.html#l00075">Ogre::iterator_range&lt; T &gt;::equal()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreIteratorRange_8h_source.html">OgreIteratorRange.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
